Subject: NomCom 2015 - Feedback on new candidates - Last Reminder

From: NomCom Chair 2015 <[email-masked]>
Date: Fri, 06 Nov 2015 06:21:03 -0800

As a result of our call for more candidates for the ART Area Director 
position, we have received a number of new candidates who've accepted 
nomination.

There have also been some changes for other positions.

Please take the opportunity to review the candidates at this link:

https://datatracker.ietf.org/nomcom/2015/feedback/

Feedback can be provided either via the form there (requires login) or by 
contacting a member of the NomCom by any means of your choice.

We value your feedback greatly whenever it arrives, but the deadline we 
have set for feeedback on the candidates is November 12; after that, the 
NomCom will try to reach a decision based on the information available.

Thank you for your help in reaching the best decisions for the IETF!

Harald Alvestrand, NomCom chair